I spoke to Logan at Trackman today, and they still do not support TGC2019. The only version of TPS that will work is 6.3. And, if you update the firmware...